&apt-author.jgunthorpe; &apt-author.team; &apt-email; &apt-product; 2013-11-30T00:00:00Z
apt-config
8
APT

# apt-config

APT Configuration Query program

&synopsis-command-apt-config;

## Description

`apt-config` is an internal program used by various portions of the APT suite to provide consistent configurability. It accesses the main configuration file `/etc/apt/apt.conf` in a manner that is easy to use for scripted applications.

Unless the `-h`, or `--help` option is given, one of the commands below must be present.

`shell`

  shell is used to access the configuration information from a shell script. It is given pairs of arguments, the first being a shell variable and the second the configuration value to query. As output it lists shell assignment commands for each value present. In a shell script it should be used as follows:

      OPTS="-f"
      RES=`apt-config shell OPTS MyApp::options`
      eval $RES

  This will set the shell environment variable $OPTS to the value of MyApp::options with a default of `-f`.

  The configuration item may be postfixed with a /[fdbi]. f returns file names, d returns directories, b returns true or false and i returns an integer. Each of the returns is normalized and verified internally.

`dump`

  Just show the contents of the configuration space.

## options

&apt-cmdblurb;

`--empty`

  Include options which have an empty value. This is the default, so use --no-empty to remove them from the output.

`--format '&percnt;f "&percnt;v";&percnt;n'`

  Defines the output of each config option. &percnt;t will be replaced with its individual name, &percnt;f with its full hierarchical name and &percnt;v with its value. Use uppercase letters and special characters in the value will be encoded to ensure that it can e.g. be safely used in a quoted-string as defined by RFC822. Additionally &percnt;n will be replaced by a newline, and &percnt;N by a tab. A &percnt; can be printed by using &percnt;&percnt;.

&apt-commonoptions;

## See Also

&apt-conf;

## Diagnostics

`apt-config` returns zero on normal operation, decimal 100 on error.

&manbugs;